Subject: bug#13167: 24.3.50; C-x right C-x left interferes with buffer order

From: Juri Linkov <[email-masked]>
Date: Wed, 10 Jan 2024 19:03:50 +0200

>>> Why do you never quit the *Messages* buffer in your scenario?
>>
>> I can't quit the *Messages* buffer.  Typing `q' inserts the character
>> `q' to the *Messages* buffer.  But it's good that *Messages* is writable.
>> The same problem can occur with any other writable buffer.
>
> You can always do M-x quit-window.  Isn't there some C-x binding we
> could use for this?

Now that we have new key prefixes: 'C-x x' for buffer commands, and
'C-x w' for window commands, probably the most suitable key would be
'C-x w q' for 'quit-window'.